﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func NewImSendRedPackageOrdDb(engine *xorm.Engine) dao.ImSendRedPackageOrdDao {
	return &ImSendRedPackageOrdDb{Db: engine}
}

type ImSendRedPackageOrdDb struct {
	Db *xorm.Engine
}

func (i ImSendRedPackageOrdDb) ImSendRedPackageOrdGetOneByParams(params map[string]interface{}) (*model.ImSendRedPackageOrd, error) {
	var m model.ImSendRedPackageOrd
	var query = fmt.Sprintf("%s = ?", params["key"])
	if has, err := i.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}

func (i ImSendRedPackageOrdDb) ImSendRedPackageOrdUpdateBySession(session *xorm.Session, id interface{}, user *model.ImSendRedPackageOrd, forceColumns ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColumns != nil {
		affected, err = session.Where("id=?", id).MustCols(forceColumns...).Update(user)
	} else {
		affected, err = session.Where("id=?", id).Update(user)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
