package model

import (
	"time"
)

type AliyunSmsNotice struct {
	Id       int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Title    string    `json:"title" xorm:"VARCHAR(255)"`
	Content  string    `json:"content" xorm:"VARCHAR(255)"`
	Skip     string    `json:"skip" xorm:"TEXT"`
	CreateAt time.Time `json:"create_at" xorm:"DATETIME"`
	UpdateAt time.Time `json:"update_at" xorm:"DATETIME"`
	Day      int       `json:"day" xorm:"comment('部分通知需要时间') INT(11)"`
	Type     string    `json:"type" xorm:"VARCHAR(255)"`
}
