package model

type NewUserRedPackage struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsOpen      int    `json:"is_open" xorm:"not null default 1 comment('是否开启(1:开启 0:关闭)') TINYINT(1)"`
	TotalAmount string `json:"total_amount" xorm:"not null comment('总金额') DECIMAL(10,2)"`
	Days        int    `json:"days" xorm:"not null default 1 comment('天数') TINYINT(3)"`
	IsDouble    int    `json:"is_double" xorm:"not null default 1 comment('是否翻倍') TINYINT(1)"`
	CreateAt    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
