package model

type NewUserRedPackageWithUserRecordsFlow struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid           int64  `json:"uid" xorm:"not null default 0 comment('uid') BIGINT(20)"`
	BasicAmount   string `json:"basic_amount" xorm:"not null comment('基础金额') DECIMAL(10,2)"`
	TotalAmount   string `json:"total_amount" xorm:"not null comment('实际金额') DECIMAL(10,2)"`
	DayNum        int    `json:"day_num" xorm:"not null default 1 comment('第x天') TINYINT(3)"`
	IsDouble      int    `json:"is_double" xorm:"not null default 1 comment('是否翻倍') TINYINT(1)"`
	DoubleRate    string `json:"double_rate" xorm:"not null comment('倍率') DECIMAL(4,2)"`
	BalanceAmount string `json:"balance_amount" xorm:"not null comment('剩余金额') DECIMAL(10,2)"`
	BalanceDays   int    `json:"balance_days" xorm:"not null default 0 comment('剩余天数') TINYINT(3)"`
	ReceiveDays   int    `json:"receive_days" xorm:"not null default 0 comment('领取天数') TINYINT(3)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
